GridFire v0.7.6rc4.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Public Attributes | List of all members
gridfire::rates::weak::InterpolationError Struct Reference

Interpolation error with optional per-axis bounds details. More...

`#include <weak_types.h>`

## Public Attributes
InterpolationErrorType | type
| Error category.
std::optional< std::unordered_map< TableAxes, BoundsErrorInfo > > | boundsErrorInfo = std::nullopt

## Detailed Description

Interpolation error with optional per-axis bounds details.

For BOUNDS_ERROR, boundsErrorInfo may contain an entry per offending axis.

## Member Data Documentation

## ◆ boundsErrorInfo

std::optional<std::unordered_map<TableAxes, BoundsErrorInfo> > gridfire::rates::weak::InterpolationError::boundsErrorInfo = std::nullopt

## ◆ type

InterpolationErrorType gridfire::rates::weak::InterpolationError::type

Error category.

The documentation for this struct was generated from the following file:

- src/include/gridfire/reaction/weak/weak_types.h